package com.hnshituo.core.auth.mapper;

import java.util.List;

import com.hnshituo.core.auth.vo.UserRole;
import com.hnshituo.orm.GenericMapper;

public interface UserRoleMapper extends GenericMapper<UserRole, Integer> {

	List<UserRole> doQuery(String string);

	List<UserRole> doQueryUser(String role);

	void doDelete(UserRole userRole);

	void doAdd(UserRole user);

	int findMaxId();

	void deleteByRoleId(Integer roleId);

}
